Name: libqcow
Version: 20120225
Release: 1
Summary: Library to support the QEMU Copy-On-Write (QCOW) image file format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-%{version}.tar.gz
URL: http://libqcow.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   openssl   
BuildRequires:   openssl-devel   

%description
libqcow is a library to support the QEMU Copy-On-Write (QCOW) image file format

%package devel
Summary: Header files and libraries for developing applications for libqcow
Group: Development/Libraries
Requires: libqcow = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description devel
Header files and libraries for developing applications for libqcow.

%package tools
Summary: Several tools for reading QEMU Copy-On-Write (QCOW) image files
Group: Applications/System
Requires: libqcow = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading QEMU Copy-On-Write (QCOW) image files

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README README.dll README.macosx README.mingw README.static ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libqcow.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/qcowinfo
%attr(755,root,root) %{_bindir}/qcowmount
%{_mandir}/man1/*

%changelog
* Sun Oct  9 2011 Joachim Metz <joachim.metz@gmail.com> 20111009-1
- Changes for configure update and README files
- Added qcowmount

* Fri Dec 31 2010 Joachim Metz <jbmetz@users.sourceforge.net> 20101231-1
- Initial version

