/*
 * The internal type definitions
 *
 * Copyright (c) 2010-2012, Joachim Metz <jbmetz@users.sourceforge.net>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBQCOW_INTERNAL_TYPES_H )
#define _LIBQCOW_INTERNAL_TYPES_H

#include <common.h>
#include <types.h>

/* Define HAVE_LOCAL_LIBQCOW for local use of libqcow
 * The definitions in <libqcow/types.h> are copied here
 * for local use of libqcow
 */
#if defined( HAVE_LOCAL_LIBQCOW )

/* The following type definitions hide internal data structures
 */
#if defined( HAVE_DEBUG_OUTPUT )
typedef struct libqcow_file {}		libqcow_file_t;
typedef struct libqcow_table {}	libqcow_table_t;
typedef struct libqcow_column {}	libqcow_column_t;
typedef struct libqcow_index {}	libqcow_index_t;
typedef struct libqcow_record {}	libqcow_record_t;
typedef struct libqcow_long_value {}	libqcow_long_value_t;
typedef struct libqcow_multi_value {}	libqcow_multi_value_t;

#else
typedef intptr_t libqcow_file_t;
typedef intptr_t libqcow_table_t;
typedef intptr_t libqcow_column_t;
typedef intptr_t libqcow_index_t;
typedef intptr_t libqcow_record_t;
typedef intptr_t libqcow_long_value_t;
typedef intptr_t libqcow_multi_value_t;

#endif

#endif

#endif

